import javax.swing.JFrame;

//-------------------------------------------------------------------------
/**
 * Demonstrates a graphical user interface and an event listener.
 *
 *  @author John Lewis
 *  @version 2010.02.08
 */
public class PushCounter
{
    // ----------------------------------------------------------
    /**
     * Creates the main program frame.
     *
     * @param args Command line arguments are ignored
     */
    public static void main(String[] args)
    {
        JFrame frame = new JFrame("Push Counter");
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

        frame.getContentPane().add(new PushCounterPanel());

        frame.pack();
        frame.setVisible(true);
    }
}
